Debian Bug report logs - #699690
ITP: ocsync -- user level bidirectional client for file synchronization

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sandro Knauß <bugs@sandroknauss.de>

Date: Sun, 3 Feb 2013 15:45:02 UTC

Owned by: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>

Severity: wishlist

Fixed in version ocsync/0.70.3-1

Done: Sandro Knauß <bugs@sandroknauss.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bugs@sandroknauss.de, debian-devel@lists.debian.org, pkg-owncloud-maintainers@lists.alioth.debian.org, wnpp@debian.org, ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>:
Bug#699690; Package wnpp. (Sun, 03 Feb 2013 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Knauß <bugs@sandroknauss.de>:
New Bug report received and forwarded. Copy sent to bugs@sandroknauss.de, debian-devel@lists.debian.org, pkg-owncloud-maintainers@lists.alioth.debian.org, wnpp@debian.org, ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>. (Sun, 03 Feb 2013 15:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sandro Knauß <bugs@sandroknauss.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ocsync -- user level bidirectional client for file synchronization
Date: Sun, 03 Feb 2013 16:42:18 +0100
Package: wnpp
Severity: wishlist
Owner: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>

* Package name    : ocsync
  Version         : 0.70.3
  Upstream Author : Andreas Schneider <mail@cynapses.org>, Klaas Freitag <freitag@owncloud.com>
* URL             : http://owncloud.org/sync-clients/
* License         : GPL-2+, BSD-3-Clause
  Programming Lang: C++
  Description     : user level bidirectional client for file synchronization
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Owncloud-client (ITP #692872) does depend on this library.

The csync version from Andreas Schneider (http://www.csync.org/) has
some features missing for owncloud-client. That's Klaas Freitag forked
it and named it ocsync [1].

Ocsync uses libiniparser (ITP #582657). I read the bugreport and created a
patch to remove the dependency of libiniparser [2].

The packages has already an git repo:
git://git.debian.org/git/pkg-owncloud/ocsync.git

Sandro Knauß


[1] http://doc.owncloud.org/desktop/1.1/building.html#linux
[2] https://open.cryptomilk.org/issues/5



Added indication that bug 699690 blocks 692872 Request was from Sandro Knauß <bugs@sandroknauss.de> to control@bugs.debian.org. (Sun, 03 Feb 2013 16:24:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sandro Knauß <bugs@sandroknauss.de> to control@bugs.debian.org. (Sun, 03 Feb 2013 19:39:04 GMT) Full text and rfc822 format available.

Reply sent to Sandro Knauß <bugs@sandroknauss.de>:
You have taken responsibility. (Sat, 06 Apr 2013 01:05:52 GMT) Full text and rfc822 format available.

Notification sent to Sandro Knauß <bugs@sandroknauss.de>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 01:05:53 GMT) Full text and rfc822 format available.

Message #14 received at 699690-close@bugs.debian.org (full text, mbox):

From: Sandro Knauß <bugs@sandroknauss.de>
To: 699690-close@bugs.debian.org
Subject: Bug#699690: fixed in ocsync 0.70.3-1
Date: Sat, 06 Apr 2013 01:00:08 +0000
Source: ocsync
Source-Version: 0.70.3-1

We believe that the bug you reported is fixed in the latest version of
ocsync, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699690@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Knauß <bugs@sandroknauss.de> (supplier of updated ocsync package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Feb 2013 17:30:09 +0100
Source: ocsync
Binary: ocsync libocsync0 libocsync-plugin-smb libocsync-plugin-sftp libocsync-plugin-owncloud libocsync-dev
Architecture: source amd64
Version: 0.70.3-1
Distribution: experimental
Urgency: low
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Changed-By: Sandro Knauß <bugs@sandroknauss.de>
Description: 
 libocsync-dev - evelopment files for ocsync
 libocsync-plugin-owncloud - OwnCloud plugin for csync
 libocsync-plugin-sftp - SFTP plugin for csync
 libocsync-plugin-smb - SMB plugin for csync
 libocsync0 - library for user level bidirectional client only file synchronize
 ocsync     - user level bidirectional client only file synchronizer
Closes: 699690
Changes: 
 ocsync (0.70.3-1) experimental; urgency=low
 .
   * Initial release for debian. (Closes: #699690)
Checksums-Sha1: 
 59c00e6d529e4d75605e64e8e6473bc8e9c3dd9d 1684 ocsync_0.70.3-1.dsc
 67bcbe344e8ce3c507472c56f8770a305505372c 2105404 ocsync_0.70.3.orig.tar.bz2
 5aabc3f44456fa2c4806448ab71673a668192aaa 12056 ocsync_0.70.3-1.debian.tar.gz
 6b6c49e3c8de065c65e7d491702cb5a16717566a 51114 ocsync_0.70.3-1_amd64.deb
 9580d37aca8421856cd181b1712e4f61ddff17a5 57102 libocsync0_0.70.3-1_amd64.deb
 b67e4d09bdb21b91a47d13ccb5a1b2f639004efc 11244 libocsync-plugin-smb_0.70.3-1_amd64.deb
 3197d5f07a3b53cbf15a47381f80d3bc5f15efec 14306 libocsync-plugin-sftp_0.70.3-1_amd64.deb
 dc47572f8f47cd6d445a523b1aefbdcea2e50ab3 21936 libocsync-plugin-owncloud_0.70.3-1_amd64.deb
 9261ca571e6abf8a672867489edb7f02fc0ad965 12416 libocsync-dev_0.70.3-1_amd64.deb
Checksums-Sha256: 
 d6527e7811f333bd9fc8700e048912b765c8f7b8c2a4d9f94b0e56dd37815d9e 1684 ocsync_0.70.3-1.dsc
 1da9534a1209214adb110be11cdc968e472dad1632ebdb557ac628c7ebd20c4b 2105404 ocsync_0.70.3.orig.tar.bz2
 01056f40e422b278eb64ce0e7d8e51ab684b8078ff9f6075b4fec58b619ec005 12056 ocsync_0.70.3-1.debian.tar.gz
 b9d22087b11be76b920c1ecd8f95ee5218e2dd2ad98e82337410d8f76b26edc8 51114 ocsync_0.70.3-1_amd64.deb
 eb2e24ebff4aad036932775f75d65e46df4de49d4c0a85b3c9335a5145e66f23 57102 libocsync0_0.70.3-1_amd64.deb
 f1b59c36726c9735a7605bbe661bd2c0b43586a8526f3ae6691ce606c8a53a1c 11244 libocsync-plugin-smb_0.70.3-1_amd64.deb
 6a0c25bb0453c40c662a3e27d9edde73116549f9f406cf49790f46e7bf816a7f 14306 libocsync-plugin-sftp_0.70.3-1_amd64.deb
 c2a5a4be09e7e2bbcf554149ff76e35daf9758954a0c0c59356a659a9f09e7da 21936 libocsync-plugin-owncloud_0.70.3-1_amd64.deb
 e42a2557a42b8c981bca8690be689506f01fddde3751a1caac7cde2c99199710 12416 libocsync-dev_0.70.3-1_amd64.deb
Files: 
 2578c2814f15ea141e8cc2c503350ba0 1684 net optional ocsync_0.70.3-1.dsc
 d810e668691e1831e34c97361794ae00 2105404 net optional ocsync_0.70.3.orig.tar.bz2
 ec2cbd133d2a57649f176bd829a93778 12056 net optional ocsync_0.70.3-1.debian.tar.gz
 59b23e181bbbb435463b78e888e10192 51114 net optional ocsync_0.70.3-1_amd64.deb
 c5b8ca6a8e5cac497d9beee39f6f949f 57102 net optional libocsync0_0.70.3-1_amd64.deb
 49ed1459e6c3dfca77957c5ab9767f4e 11244 net optional libocsync-plugin-smb_0.70.3-1_amd64.deb
 6869431c277520eadebcb3b1c459fc1c 14306 net optional libocsync-plugin-sftp_0.70.3-1_amd64.deb
 ccf91785abe05fe7b669e33eb7aabe6e 21936 net optional libocsync-plugin-owncloud_0.70.3-1_amd64.deb
 3a0bf52978238b908bb2cae13c43da73 12416 libdevel optional libocsync-dev_0.70.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEYGDkACgkQJBBhylAGQYELwACfUTOO0T/TVMhZfXi8QumZtkHi
OrkAn2yUVwwI0vwlnWdmXR6FTONQk1B3
=VzTM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 May 2013 07:33:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:57:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.